Bug 233796 - Freshening perl requires perl-devel
Freshening perl requires perl-devel
Status: CLOSED DUPLICATE of bug 231549
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-24 21:13 EDT by Allen Kistler
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 10:35:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen Kistler 2007-03-24 21:13:00 EDT
Description of problem:
Freshening perl requires perl-devel

Version-Release number of selected component (if applicable):
perl-5.8.8-15.fc7.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Freshen perl (rpm -F perl*)
  
Actual results:
perl-devel is needed by perl-5.8.8-15.fc7.i386

Expected results:
perl should not require perl-devel to install or freshen

Additional info:
Comment 1 Robin Norwood 2007-03-26 10:35:53 EDT
Thanks for the bug report, but this is a known issue.

Right now perl 'requires' perl-devel:


# XXX - remove this once RH bug #231549 is fixed
Requires:	perl-devel


Since that bug is fixed, I'll remove the requirement for the next build of
perl/perl-devel.

*** This bug has been marked as a duplicate of 231549 ***

Note You need to log in before you can comment on or make changes to this bug.